<template>
  <!-- 弹出框表单 -->
  <el-drawer
    :title="title"
    :visible.sync="open"
    :direction="direction"
    :destroy-on-close="true"
    size="70%"
  >
    <el-form ref="form" :model="form" :rules="rules" label-width="120px" style="padding:0 40px;">
      <el-row>
        <Field
          :span="20"
          label="标签名称"
          prop="labelName"
          v-model="form.labelName"
          placeholder="请输入标签名称"
        />
        <Field
          :span="20"
          label="标签描述"
          prop="labelDesc"
          v-model="form.labelDesc"
          placeholder="请输入标签描述"
        />
        <Field :span="20" label="标签图标">
          <imageUpload v-model="form.labelLogoPath" prePath="/file/preview" />
        </Field>
        <Field
          :span="20"
          label="排序"
          prop="sort"
          type="num"
          v-model="form.sort"
          placeholder="请输入排序"
        />
        <Field
          :span="20"
          label="备注"
          prop="remark"
          v-model="form.remark"
          type="textarea"
          placeholder="请输入备注"
        />
      </el-row>
      <el-form-item v-if="pageInfo.type!='view'" class="formbtns">
        <el-button type="primary" @click="submitForm" icon="el-icon-circle-check-outline">保存</el-button>
        <el-button @click="open=false" icon="el-icon-circle-close-outline">取消</el-button>
      </el-form-item>
    </el-form>
  </el-drawer>
</template>

<script>
import form from "@/assets/mixins/formdialog";
export default {
  name: "LabelsDetail",
  mixins: [form],
  components: {},
  created() {
    this.changePath("labels");
  },
  data() {
    return {
      // 遮罩层
      loading: true,
      // 弹出层标题
      title: "标注",
      // 是否显示弹出层
      open: false,
      direction: "rtl",
      toString: [],
      toDate: [],
      // 表单校验
      rules: {
        labelName: [
          { required: true, message: "请输入标签名称", trigger: "blur" },
          { max: 128, message: "最多只能录入128个字符", trigger: "blur" }
        ],
        createTime: [{ required: true, message: "请选择创建时间" }]
      }
    };
  },

  methods: {
    /** 编辑 */
    edit(row) {
      this.reset();
      this.query = { id: row.id };
      this.urls.currUrl = "labels/edit";
      this.getData();
      this.pageInfo.type = "edit";
      this.title = "修改标注";
    },
    /** 新增 */
    add(row) {
      this.reset();
      this.urls.currUrl = "labels/add";
      this.getData();
      this.pageInfo.type = "add";
      this.title = "新增标注";
    },
    /** 查看*/
    view(row) {
      this.reset();
      this.query = { id: row.id };
      this.urls.currUrl = "labels/view";
      this.getData();
      this.pageInfo.type = "view";
      this.title = "标注详细";
    },
    /**取消按钮 */
    cancel() {
      this.open = false;
    },
    /**获取数据后弹框 */
    afterRender(data) {
      this.open = true;
    },

    afterSubmit(data) {
      this.open = false;
      this.$emit("ok");
    },

    // 表单重置
    reset() {
      this.form = {
        labelName: "",
        labelDesc: "",
        labelLogoPath: "",
        sort: 0,
        remark: ""
      };
      this.resetForm("form");
    },
    resetForm(refName) {
      if (this.$refs[refName]) {
        this.$refs[refName].resetFields();
      }
    }
  }
};
</script>
<style lang="less" scoped>
.formbtns {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  height: 60px;
  margin-top: 30px;
}
</style>
